/**
 * The Edge class represents an edge of a random graph. It just keeps track of the vertices
 * it connects.
 *
 */
public class Edge {
	private Vertex v1;
	private Vertex v2;

	// Create an edge between two vertices.
	public Edge(Vertex vert1, Vertex vert2) {
		v1 = vert1;
		v2 = vert2;
	}

	// Static method to tell two vertices they are adjacent.
	public static void addEdge(Vertex v1, Vertex v2) {
		v1.addVertex(v2);
		v2.addVertex(v1);
	}
}
